読者です 読者をやめる 読者になる 読者になる

Memento memo.

Today I Learned.

npm installで依存関係エラーが出る場合の対処

Node.js JavaScript

eslint周りで色々installしていたら依存関係でエラーを吐いてどうにもならなくなりました。

結論としては、npmのversionを最新化したら直りました。

npm installが失敗した時に試したい3つのコマンド - Qiita にもありましたが、以下のコマンドで最新化できます。大抵の場合これでいける気がします。

$ npm update -g npm

ついでですが、以下のようにversion指定してあげることもできます。

$ npm install -g npm@3.10.3

Node.js周りは、nvm, node, npmそれぞれにversionがあってややこしいですね。

パーフェクトJavaScript (PERFECT SERIES 4)

パーフェクトJavaScript (PERFECT SERIES 4)